Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::SDLConfig Class Reference

Simple CLI config. More...

`#include <OgreSDLConfig_cli.h>`

Inheritance diagram for Ogre::SDLConfig:

[legend]
List of all members.

## Public Methods

| SDLConfig ()
bool | display (void)
| Displays a message about reading the config and then attempts to read it from a config file.
| SDLConfig ()
bool | display (void)
| Displays a message about reading the config and then attempts to read it from a config file.

## Protected Methods

bool | on_window_delete (GdkEventAny *event)
void | on_option_changed ()
void | on_renderer_changed ()
void | on_value_changed ()
void | on_btn_ok ()
void | on_btn_cancel ()

## Protected Attributes

RenderSystem * | mSelectedRenderSystem

## Private Methods

void | update_option_list ()

## Private Attributes

Gtk::Window * | _winConfig
ModelColumns | _columns
Glib::RefPtr< Gtk::ListStore > | _list_store
Gtk::TreeView * | _lstOptions
Glib::RefPtr< Gtk::TreeSelection > | _option_selection
int | _cur_index
Glib::ustring | _cur_name
Gtk::OptionMenu * | _optRenderer
Gtk::Label * | _lblOptName
Gtk::OptionMenu * | _optOptValues
Gtk::Menu * | _opt_menu
ConfigOptionMap | _options
RenderSystemList * | _renderers
RenderSystem * | _selected_renderer

## Detailed Description

Simple CLI config.

Definition at line 37 of file OgreSDLConfig_cli.h.

## Constructor & Destructor Documentation

Ogre::SDLConfig::SDLConfig | ( |  | ) |

| Definition at line 40 of file OgreSDLConfig_cli.h.

Ogre::SDLConfig::SDLConfig | ( |  | ) |

| Definition at line 46 of file OgreSDLConfig_gtk.h.

## Member Function Documentation

bool Ogre::SDLConfig::display | ( | void |  | ) | `[virtual]`

| Displays a message about reading the config and then attempts to read it from a config file. Implements Ogre::ConfigDialog.

bool SDLConfig::display | ( | void |  | ) | `[virtual]`

| Displays a message about reading the config and then attempts to read it from a config file. Implements Ogre::ConfigDialog. Definition at line 32 of file OgreSDLConfig_cli.cpp. References Ogre::ConfigOptionMap, Except, Ogre::RenderSystem::getConfigOptions(), Ogre::RenderSystemList, and Ogre::RenderSystem::setConfigOption().

void Ogre::SDLConfig::on_btn_cancel | ( |  | ) | `[protected]`

void SDLConfig::on_btn_ok | ( |  | ) | `[protected]`

| Definition at line 188 of file OgreSDLConfig_gtk.cpp. References _selected_renderer, and _winConfig.

void SDLConfig::on_option_changed | ( |  | ) | `[protected]`

| Definition at line 117 of file OgreSDLConfig_gtk.cpp. References _columns, _cur_index, _cur_name, _lblOptName, _opt_menu, _option_selection, _options, _optOptValues, Ogre::SDLConfig::ModelColumns::col_name, Ogre::SDLConfig::ModelColumns::col_value, and Ogre::_ConfigOption::possibleValues.

void SDLConfig::on_renderer_changed | ( |  | ) | `[protected]`

| Definition at line 157 of file OgreSDLConfig_gtk.cpp. References _optRenderer, _renderers, _selected_renderer, and update_option_list().

void SDLConfig::on_value_changed | ( |  | ) | `[protected]`

| Definition at line 170 of file OgreSDLConfig_gtk.cpp. References _cur_index, _cur_name, _options, _optOptValues, _selected_renderer, Ogre::_ConfigOption::name, Ogre::_ConfigOption::possibleValues, Ogre::RenderSystem::setConfigOption(), and update_option_list().

bool SDLConfig::on_window_delete | ( | GdkEventAny * | event | ) | `[protected]`

| Definition at line 110 of file OgreSDLConfig_gtk.cpp.

void SDLConfig::update_option_list | ( |  | ) | `[private]`

| Definition at line 199 of file OgreSDLConfig_gtk.cpp. References _columns, _list_store, _options, _selected_renderer, Ogre::SDLConfig::ModelColumns::col_name, Ogre::SDLConfig::ModelColumns::col_value, and Ogre::RenderSystem::getConfigOptions(). Referenced by on_renderer_changed(), and on_value_changed().

## Member Data Documentation

ModelColumns Ogre::SDLConfig::_columns`[private]`

| Definition at line 74 of file OgreSDLConfig_gtk.h. Referenced by on_option_changed(), and update_option_list().

int Ogre::SDLConfig::_cur_index`[private]`

| Definition at line 78 of file OgreSDLConfig_gtk.h. Referenced by on_option_changed(), and on_value_changed().

Glib::ustring Ogre::SDLConfig::_cur_name`[private]`

| Definition at line 79 of file OgreSDLConfig_gtk.h. Referenced by on_option_changed(), and on_value_changed().

Gtk::Label* Ogre::SDLConfig::_lblOptName`[private]`

| Definition at line 81 of file OgreSDLConfig_gtk.h. Referenced by on_option_changed().

Glib::RefPtr<Gtk::ListStore> Ogre::SDLConfig::_list_store`[private]`

| Definition at line 75 of file OgreSDLConfig_gtk.h. Referenced by update_option_list().

Gtk::TreeView* Ogre::SDLConfig::_lstOptions`[private]`

| Definition at line 76 of file OgreSDLConfig_gtk.h.

Gtk::Menu* Ogre::SDLConfig::_opt_menu`[private]`

| Definition at line 83 of file OgreSDLConfig_gtk.h. Referenced by on_option_changed().

Glib::RefPtr<Gtk::TreeSelection> Ogre::SDLConfig::_option_selection`[private]`

| Definition at line 77 of file OgreSDLConfig_gtk.h. Referenced by on_option_changed().

ConfigOptionMap Ogre::SDLConfig::_options`[private]`

| Definition at line 84 of file OgreSDLConfig_gtk.h. Referenced by on_option_changed(), on_value_changed(), and update_option_list().

Gtk::OptionMenu* Ogre::SDLConfig::_optOptValues`[private]`

| Definition at line 82 of file OgreSDLConfig_gtk.h. Referenced by on_option_changed(), and on_value_changed().

Gtk::OptionMenu* Ogre::SDLConfig::_optRenderer`[private]`

| Definition at line 80 of file OgreSDLConfig_gtk.h. Referenced by on_renderer_changed().

RenderSystemList* Ogre::SDLConfig::_renderers`[private]`

| Definition at line 85 of file OgreSDLConfig_gtk.h. Referenced by on_renderer_changed().

RenderSystem* Ogre::SDLConfig::_selected_renderer`[private]`

| Definition at line 86 of file OgreSDLConfig_gtk.h. Referenced by on_btn_ok(), on_renderer_changed(), on_value_changed(), and update_option_list().

Gtk::Window* Ogre::SDLConfig::_winConfig`[private]`

| Definition at line 73 of file OgreSDLConfig_gtk.h. Referenced by on_btn_ok().

RenderSystem* Ogre::ConfigDialog::mSelectedRenderSystem`[protected, inherited]`

| Definition at line 63 of file OgreConfigDialog.h. Referenced by Ogre::Win32ConfigDialog::DlgProc(), and Ogre::Win32ConfigDialog::Win32ConfigDialog().

The documentation for this class was generated from the following files:

- OgreSDLConfig_cli.h
- OgreSDLConfig_gtk.h
- OgreSDLConfig_cli.cpp
- OgreSDLConfig_gtk.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:23 2004